#include <iarduino_OLED_txt.h>                         // Подключаем библиотеку iarduino_OLED_txt.
iarduino_OLED_txt myOLED(0x78);                        // Объявляем объект myOLED, указывая адрес дисплея на шине I2C: 0x78 (если учитывать бит RW=0).
                                                       //
extern uint8_t SmallFontRus[];                         // Подключаем шрифт SmallFontRus.
                                                       //
void setup(){                                          //
    myOLED.begin();                                    // Инициируем работу с дисплеем.
    myOLED.setFont(SmallFontRus);                      // Указываем шрифт который требуется использовать для вывода цифр и текста.
//  myOLED.setCoding(TXT_UTF8);                        // Указываем кодировку текста в скетче. Если на дисплее не отображается Русский алфавит, то ...
}                                                      // раскомментируйте функцию setCoding и замените параметр TXT_UTF8, на TXT_CP866 или TXT_WIN1251.
                                                       //
void loop(){                                           //
    myOLED.clrScr();                                   // Чистим экран.
    myOLED.print( "Большие буквы:"    ,      0, 0);    // Выводим текст начиная с 0 столбца 0 строки.
    myOLED.print( "ABCDEFGHIJKLM"     , OLED_C, 2);    // Выводим текст по центру 2 строки.
    myOLED.print( "NOPQRSTUVWXYZ"     , OLED_C, 3);    // Выводим текст по центру 3 строки.
    myOLED.print( "АБВГДЕЁЖЗИЙКЛМНОП" , OLED_C, 5);    // Выводим текст по центру 5 строки.
    myOLED.print( "РСТУФХЦЧШЩЪЫЬЭЮЯ"  , OLED_C, 6);    // Выводим текст по центру 6 строки.
    delay(3000);                                       // Ждём 3 секунды.
                                                       //
    myOLED.clrScr();                                   // Чистим экран.
    myOLED.print( "Маленькие буквы:"  ,      0, 0);    // Выводим текст начиная с 0 столбца 0 строки.
    myOLED.print( "abcdefghijklm"     , OLED_C, 2);    // Выводим текст по центру 2 строки.
    myOLED.print( "nopqrstuvwxyz"     , OLED_C, 3);    // Выводим текст по центру 3 строки.
    myOLED.print( "абвгдеёжзийклмноп" , OLED_C, 5);    // Выводим текст по центру 5 строки.
    myOLED.print( "рстуфхцчшщъыьэюя"  , OLED_C, 6);    // Выводим текст по центру 6 строки.
    delay(3000);                                       // Ждём 3 секунды.
                                                       //
    myOLED.clrScr();                                   // Чистим экран.
    myOLED.print( "Символы:"          ,      0, 0);    // Выводим текст начиная с 0 столбца 0 строки.
    myOLED.print( "{}[]()<>?!#$%&*"   , OLED_C, 3);    // Выводим текст по центру 3 строки.
    myOLED.print( "~`'\"^_-+=,.:;|/"  , OLED_C, 5);    // Выводим текст по центру 5 строки.
    delay(3000);                                       // Ждём 3 секунды.
                                                       //
    myOLED.clrScr();                                   // Чистим экран.
    myOLED.print( "Цифры:"            ,      0, 0);    // Выводим текст начиная с 0 столбца 0 строки.
    myOLED.print( "1234567890"        ,      6, 2);    // Выводим текст начиная с 6 столбца 2 строки.
    myOLED.print( 1234567890          ,      6, 3);    // Выводим число начиная с 6 столбца 3 строки.
    myOLED.print(-1234567890          ,      0, 4);    // Выводим число начиная с 0 столбца 4 строки.
    myOLED.print( 12345.7890          ,      6, 5);    // Выводим число начиная с 6 столбца 5 строки.
    delay(3000);                                       // Ждём 3 секунды.
}                                                      //
